Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZEzRenderer Class Reference

## Public Member Functions
| __construct (&$article)
& | renderIntro ()
& | renderPage ( $pageNumber=0)
& | renderIntro ()

## Public Attributes
| $Article

## Detailed Description

! eZArticle eZEzRenderer renders XML contents into html articles.

This class wil decode the ez articles generated by eZEzGenerator. Supported tags:

<page> - pagebreak
<header>
Header text
</header>
<link ez.no text to the link> - anchor
<image 42 align size> - image tag, 42 is the id, alignment (left|center|right), size (small|medium|large)
<mail bf@ez.no subject text here, link text here>
<ezanchor anchorname>
<bold>
bold text
</bold>
<italic>
italic text
</italic>
<underline>
underlined text
</underline>
<strike>
strike text
</strike>
<pre>
predefined text
</pre>
<verbatim>
predefined text
</verbatim>

See also
  eZEzGenerator

TODO Add better syntax highlighting.

Definition at line 88 of file ezezrenderer.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZEzRenderer::__construct | ( | & | $article | ) |

Creates a new eZEzGenerator object.

Definition at line 93 of file ezezrenderer.php.

References $article.

## Member Function Documentation

## ◆ renderIntro() [1/2]

& eZEzRenderer::renderIntro | ( |  | ) |

Returns the XHTML contents of the introduction of the article.

Definition at line 101 of file ezezrenderer.php.

References $i, and eZTextTool\nl2br().

## ◆ renderIntro() [2/2]

& eZEzRenderer::renderIntro | ( |  | ) |

Returns the XHTML contents of the introduction of the article.

Definition at line 467 of file ezezrenderer.php.

References $i, and eZTextTool\nl2br().

## ◆ renderPage()

& eZEzRenderer::renderPage | ( |  | $pageNumber = `0` | ) |

Returns the XHTML article of the article.

Definition at line 133 of file ezezrenderer.php.

References $articleID, $image, $ini, $page, $variation, eZTextTool\nl2br(), and eZPBLog\writeError().

## Member Data Documentation

## ◆ $Article

eZEzRenderer::$Article

Definition at line 495 of file ezezrenderer.php.

The documentation for this class was generated from the following file:

- ezezrenderer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.